## 目录说明

`TRTCSDK/Web` 路径下包含腾讯云实时音视频 Web 端 SDK 及其相关 Demo, 以下是目录说明。

```
.
├── README-zh_CN.md        -- TRTC Web SDK 中文介绍
├── README.md              -- TRTC Web SDK 英文介绍
├── base-js                -- TRTC Web 基础 Demo
├── base-react-next        -- TRTC Web API Examples
├── TRTCScenesDemo         -- TRTC Web 场景化 Demo
│   └── trtc-calling-web      -- TRTC Web 通话场景 Demo
└── 说用说明.md
```

> ？
>
> `TRTCSDK/Web/base-js` 路径下为 TRTC Web 基础 Demo。TRTC Web 基础 Demo 集成了 [TRTC Web SDK](https://www.npmjs.com/package/trtc-js-sdk) 的基础音视频通话、设备选择等功能，使用 jQuery 开发，可直接在浏览器中运行。
>
> `TRTCSDK/Web/base-react-next` 路径下为 TRTC Web API Examples。Web API Examples 展示了 [TRTC Web SDK](https://www.npmjs.com/package/trtc-js-sdk) 中 [API 接口](https://web.sdk.qcloud.com/trtc/webrtc/doc/zh-cn/Client.html) 的使用方法和应用场景。Web API Examples 使用 [Next.js](https://www.nextjs.cn/) 进行开发，需要您安装 Node 环境。
>
> `TRTCSDK/Web/TRTCScenesDemo/trtc-callng-web `路径下为 TRTC Web 通话场景 Demo。TRTC Web 通话场景 Demo 演示了 [TRTC Calling SDK](https://www.npmjs.com/package/trtc-calling-js)  在语音通话和视频通话场景中的应用。 TRTC Web 通话场景 Demo 使用 [Vue 2.0](https://cn.vuejs.org/index.html) 进行开发，需要您安装 Node 环境。

## 如何运行 Demo

#### 如何运行 `TRTCSDK/Web/base-js` Demo？

请参考 [运行 TRTCSDK/Web/base-js](https://github.com/tencentyun/TRTCSDK/tree/master/Web/base-js)。

#### 如何运行 `TRTCSDK/Web/base-react-next` Demo？

请参考 [运行 TRTCSDK/Web/base-react-next](https://github.com/tencentyun/TRTCSDK/tree/master/Web/base-react-next)。

#### 如何运行 `TRTCSDK/Web/TRTCScenesDemo/trtc-calling-web` Demo?

请参考 [运行 TRTCSDK/Web/TRTCScenesDemo/trtc-calling-web](https://github.com/tencentyun/TRTCSDK/tree/master/Web/TRTCScenesDemo/trtc-calling-web)。

